Encoded Stream Generation

dScope Series III Applications Manual

These tests can only be performed with a dScope model number that supports digital I/O.

The dScope can perform testing of surround-sound decoders using pre-encoded files, and an intuitive selection interface. Two sets of files are currently available - one for testing of Dolby Digital decoders, the other for DTS.

The encoded files, together with scripts for ease of file selection, are provided on the dScope installation CD in a folder called Encoded Stream Generation. If you have installed the dScope as a download from the Prism Sound web site then you will need to download the surround sound decoder test files installation from the Support downloads section of the web site.

You will need to run the setup.exe file, which will install all the files and scripts into the relevant subfolders of the dScope program folder. For further details of the files installed, see Installation files.

Encoded Stream Generation


Overview

dScope Series III Applications Manual

This document describes the provision made by the dScope software for testing of surround sound decoders.

How it works

In its current form, the dScope simply allows selection of a number of pre-defined test streams, encoded using the Dolby Digital or DTS encoding process. These tones can be loaded into the dScope's Signal Generator, and played into the inputs of a surround sound decoder. The outputs of the decoder can then be routed back to the dScope's inputs for audio analysis.

These test streams are not intended to provide a complete solution for conformance testing, but are targeted towards development and production testing to allow quick and easy selection of test tracks without the extra expense of a test DVD or external encoding hardware. Due to the nature of the encoding process, it has only been possible to provide test tones that repeat over a limited number of samples. For this reason, the signals supplied do not allow testing where a swept signal is required, since sweeps require changes of signal throughout the encoded stream.

A number of test streams have been provided for each encoding process, together with scripts that allow files to be selected according to user-selectable criteria. For example, it is easy to search for files that contain a particular signal in the Left channel, or that are encoded for a certain set of channels (e.g. 2.0, 3/2/.1, etc).

To use this feature, you will need to install the encoded files and relevant scripts; for further details, see Installation files, below.

Setting up the EUT

Connect the Digital Outputs of the dScope to the EUT, using XLR cables for an AES3 input, or coaxial cables for a S/PDIF input. Then connect the relevant pair of output channels (e.g. Left/Right, Left Surround/Right Surround) of the EUT to the dScope's Analogue Inputs.

These tests can also be performed in conjunction with a dS-NET I/O Switcher. The I/O Switcher is a 16-into-2 relay switcher, which can be used for switching either analogue or digital (AES3) audio signals. The switcher can speed up testing by switching each of the output channels of the multi-channel EUT output in turn into the dScope's Analogue Inputs, thus eliminating the need for repeated plugging and unplugging of cables. The relevant channels can be selected in the dScope software using the dScope's I/O Switcher control panel or Channel Array Control Panel. See I/O Switchers in the dS-NET Peripherals manual for further details.

Loading files into the dScope's Signal Generator

Any of the individual encoded .WAV files can be loaded directly into the dScope's Signal Generator by selecting "User waveform" as the function. However, since the file names are not obvious, the easiest way to access the files is via the selection scripts provided. Two scripts are provided; one for Dolby Digital files ("DD files interface.dss" and the other for DTS files ("DTS files interface.dss"). These can be run directly using the Run Script command on the dScope's Automation menu, or alternatively by selecting the [Applications] button from the User bar (if the default User bar is in use).

The buttons on the Applications menu for selection of encoded transport streams will only appear if the files have been correctly installed, and the relevant file selection scripts are present in the dScope's "Scripts\Automation" subfolder.

Channel Status

Note that when a Dolby Digital or DTS encoded stream is loaded into the dScope's Signal Generator, the dScope does not change any of the other settings of the Digital Outputs (except to turn off dither at the Digital Outputs). You may need to change other settings, for example the output Channel Status, to allow the decoder to correctly recognise the transport stream. For further details of the relevant Channel Status, refer to the IEC 61937 document Digital audio - Interface for non-linear PCM encoded audio bitstreams applying IEC 60958.

Dolby / DTS accreditation

This document does NOT describe any requirements that must be met in order to achieve accreditation from Dolby Laboratories or Digital Theatre Systems. Please refer to the relevant documentation for full details.

Installation files

The following sets of files will be installed (note: all folders are relative to the dScope program folder):

Folder

File name(s)

Details

.\User wavetables\

DD encoded files

*.wav

Dolby Digital encoded audio files.

*.xml

Index files for the encoded audio files; each index file matches a single audio file and contains details of the encoding parameters.

"0000.xml" does not match a specific audio file, but contains details of the default encoding parameters; all other index files contain details of any differences to the parameters in this file.

interface.ini

Single file created from the index files, containing details of the drop-lists to include on the file selection interface.

index.xml

Single index file created from other index files (for faster searching).

.\User wavetables\

DTS encoded files

*.wav

DTS encoded audio files.

*.xml

Index files for the encoded audio files; each index file matches a single audio file and contains details of the encoding parameters.

"0000.xml" does not match a specific audio file, but contains details of the default encoding parameters; all other index files contain details of any differences to the parameters in this file.

interface.ini

Single file created from the index files, containing details of the drop-lists to include on the file selection interface.

index.xml

Single index file created from other index files (for faster searching).

.\Scripts\Automation

DD Files Interface.dss

File selection script for Dolby Digital encoded files

DTS Files Interface.dss

File selection script for DTS encoded files

Overview Encoded Stream Generation


Glossary

dScope Series III Applications Manual

Dolby Digital - An encoding system that digitally compresses multiple discrete channels of audio (e.g. left front, center, right front, left surround, right surround, and LFE) into a single bitstream.

DTS - Digital Theater Systems surround is an audio encoding format similar to Dolby Digital, digitally compressing multiple discrete channels of audio into a single bitstream.

LFE - Low Frequency Effects. The .1 channel of a Dolby Digital or DTS soundtrack. The LFE is strictly low-frequency information (20 to 120 Hz, with 115 dB of dynamic range) that's added to the soundtrack for extra effect. This track does not inherently contain all the bass of the soundtrack.

Glossary Encoded Stream Generation


Dolby Digital encoded files

dScope Series III Applications Manual

The Dolby Digital files provided include most of the tones required by the test procedures for Dolby Digital consumer broadcast products. All signals involving a tone at a steady amplitude and frequency are included, as well as multi-tone signals.

The following signals are omitted, due to their swept nature:

· Dialog normalization
· Dynamic range compression
· Downmix
·

Dolby Digital encoded files Encoded Stream Generation


DTS encoded files

dScope Series III Applications Manual

Enter topic text here.

DTS encoded files Encoded Stream Generation